import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { ApiVisa } from '../../shared/api-visa.model';
import { Observable } from 'rxjs';
export declare class LazadaCategoryTreeService extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    getLazadaCategoryTree(branchGuid: string, apiVisa: ApiVisa): Observable<Object>;
    getLazadaCategoryTreePromise(branchGuid: string, apiVisa: ApiVisa): Promise<Object>;
}
